$(document).ready(function(){
	$('#btnPop').click(function(){
	    $('#popupContact').popup({width:'80%',height:'80%',popupHead:'popupHead',btnClose:'popupContactClose'});
	});
	
	$('#btnSelPdts').click(function(){
        CreateTable();
	    $('#specs').show();
	    $('#popupContactClose').click();
	});
	
	$('#Form1').submit(function(){
	    var pass = true;
        var allZero = true;
//	    $('input[@name^=addnum]').each(function(){
//            var objnum = $(this);
//            if($.trim(objnum.val()) == ''){objnum.val('0');}
//            if(isNaN(objnum.val())){
//                alert('入库数量填写有误');
//                objnum.focus();
//                pass = false;
//                return false;
//            }else if(Number(objnum.val()) > 0){
//                allZero = false;
//            }
//            else{
//                allZero=true;
//                return false;
//            }
//        });
        try{
	        $('input[@name^=addnum]').each(function(){
			    var re = /^[1-9]+[0-9]*]*$/;
			    if(!re.test($(this).val())){
				    alert('入库数量必填且为正整数');
				    $(this).focus();
				    throw '入库数量必填且为正整数';
			    }
		    });
		}
		catch(e){
		    return false;
		}		        
        
        try{
		    $('input[@name=remark]').each(function(){
			    if($.trim($(this).val()) == ''){
                    alert('入库说明必须填写');
                    $(this).focus();
				    throw '入库说明必须填写';
                }
            });
		}
		catch(e){
		    return false;
		}
	});//end submit
});//end ready

function CreateTable(){
        var table = $('.pptable');
        $('.pptable tr td').remove();
        $('[@name=chkItem_search][@checked]').each(function(){
        var gid = $(this).val();
        var selectedIDs = ',' + $('#selectedPIDs').val() + ',';
        if(selectedIDs.indexOf(',' + gid + ',') == -1){
            gno = $('#h_gno_'+gid).val();
            gname = $('#h_gname_' + gid).val();
            storage= $(this).parent().parent().find('.Storage').html();
            propsdesc=$('#h_propsdesc_' + gid).val();
        };
            var row = $("<tr></tr>");
            row.append("<td>"+gname+"</td>");
            row.append("<td>"+gno+"<input type='hidden' name='gno' value='"+gno+"'</td>");
            row.append("<td>"+gid+"<input type='hidden' name='gid' value='"+gid+"'</td>");
            row.append("<td><input type='text' id='addnum-"+gid +"' name='addnum' size='5' value='1' style='text-align:center;' /></td>");
            row.append("<td>"+storage+"<input type='hidden' name='storage' value='"+storage+"'</td>");
            row.append("<td>"+propsdesc+"<input type='hidden' name='propsdesc' value='"+propsdesc+"'</td>");
            row.append("<td><input type='text' id='remark-"+gid +"' name='remark' value='商品入库' style='text-align:center;' /></td>");
            row.append("<td><img class='hand' alt='删除' src='images/x-red.gif'/></td>");
            row.find('img').click(function(){row.remove();CountPIDs();});
            row.appendTo(table);
        });
        $('#pro_list').append(table);
        CountPIDs();
};
////记录已选择的商品ID
function CountPIDs(){
    var selectedIDs = '';
    $('[@name=gid]').each(function(){
        selectedIDs += $(this).val() + ',';
    });
    if(selectedIDs != ''){
        selectedIDs = selectedIDs.substring(0,selectedIDs.length-1);
    };
    $('#selectedPIDs').val(selectedIDs);
    if(selectedIDs != ''){
        $('#save').show();
        $('#specs').show();
    }else{
        $('#save').hide();
        $('#specs').hide();
    }
}